Name:       libkindrv
Version:    0.1.2
Release:    1%{?dist}
Summary:    Driver for controlling robotic arms by Kinova

License:    LGPLv3+
URL:        http://fawkesrobotics.org/projects/libkindrv/


%global commit f56752e15db2fa58e5748ce2f82e4a424d6c0337
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Source0:    http://git.fawkesrobotics.org/libkindrv.git/snapshot/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz
# merged in upstream master, will be removed once a new version has been tagged
Patch0: libkindrv.printf.patch

BuildRequires:  cmake doxygen libusb-devel boost-devel boost-system

%description
This driver allows to navigate robotic arms by Kinova.
It supports different modes for arm navigation and finger control.

%package    devel
Summary:    Development files for %{name}
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description  devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{shortcommit}
%patch0 -p1


%build
mkdir build
pushd build
# we build the doc separately because we only want it in libkindrv-devel
# and 'make install' would install it in the wrong directory
%cmake \
  -DBUILD_DOC=OFF \
  .. 

make %{?_smp_mflags}

make %{?_smp_mflags} apidoc


%install
pushd build
make install DESTDIR=%{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%license LICENSE.GPL LICENSE.LGPL
%{_libdir}/libkindrv.so.*
%config(noreplace) %{_sysconfdir}/udev/rules.d/*


%files devel
%doc build/doc/html
%{_includedir}/*
%{_libdir}/libkindrv.so
%{_libdir}/pkgconfig/libkindrv.pc


%changelog
* Mon Apr 06 2015 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0.1.2-1
- Update to 0.1.2
* Wed Jul 02 2014 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0.1.0-1.20140702
- Update to 0.1.0
* Tue Jun 03 2014 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0.1.0-1.20140617
- Initial package
